hplip-1:3.18.6-2 - HP Officejet 6600 printer not recognized anymore

Asked by Jared Dalton on 2018-10-20

Hi all,

since the latest hplip (https://www.archlinux.org/packages/extra/x86_64/hplip/) upgrade, my HP Officejet 6600 e-All-in-One printer is not recognized anymore. Today I was able to check if it is the printer or the laptop: Printer and scanner work fine.

All packages are up to date.

1. Your Linux Distribution and version.
  Arch Linux

2. Your printer make/model.
  HP Officejet 6600

3. If possible, run 'hp-check -t' and post the output.
  [user@host ~]$ hp-check -t
  Saving output in log file: /home/user/hp-check.log

  HP Linux Imaging and Printing System (ver. 3.18.6)

  Dependency/Version Check Utility ver. 15.1

  Copyright (c) 2001-15 HP Development Company, LP
  This software comes with ABSOLUTELY NO WARRANTY.
  This is free software, and you are welcome to distribute it
  under certain conditions. See COPYING file for more details.

  Note: hp-check can be run in three modes:
  1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper
  dependencies are installed to successfully compile HPLIP.
  2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has
  the proper dependencies installed to successfully run.
  3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time dependencies).

  Check types:
  a. EXTERNALDEP - External Dependencies
  b. GENERALDEP - General Dependencies (required both at compile and run time)
  c. COMPILEDEP - Compile time Dependencies
  d. [All are run-time checks]
  PYEXT SCANCONF QUEUES PERMISSION

  Status Types:
      OK
      MISSING - Missing Dependency or Permission or Plug-in
      INCOMPAT - Incompatible dependency-version or Plugin-version

  \Traceback (most recent call last):
    File "/usr/share/hplip/base/utils.py", line 266, in walkFiles
      names = os.listdir(root)
  FileNotFoundError: [Errno 2] No such file or directory: '/etc/PolicyKit'

  During handling of the above exception, another exception occurred:

  Traceback (most recent call last):
    File "/usr/share/hplip/base/utils.py", line 268, in walkFiles
      raise StopIteration
  StopIteration

  The above exception was the direct cause of the following exception:

  Traceback (most recent call last):
    File "/usr/bin/hp-check", line 861, in <module>
      dep.core.init()
    File "/usr/share/hplip/installer/core_install.py", line 500, in init
      self.check_dependencies(callback)
    File "/usr/share/hplip/installer/core_install.py", line 593, in check_dependencies
      self.have_dependencies[d] = self.dependencies[d][3]()
    File "/usr/share/hplip/installer/core_install.py", line 1164, in check_policykit
      if check_file('PolicyKit.conf', "/etc/PolicyKit") and check_file('org.gnome.PolicyKit.AuthorizationManager.service', "/usr/share/dbus-1/services"):
    File "/usr/share/hplip/installer/dcheck.py", line 108, in check_file
      for w in utils.walkFiles(dir, recurse=True, abs_paths=True, return_folders=False, pattern=f):
  RuntimeError: generator raised StopIteration
  [user@host ~]$ hp-check -t > hp-check.txt
  Traceback (most recent call last):
    File "/usr/share/hplip/base/utils.py", line 266, in walkFiles
      names = os.listdir(root)
  FileNotFoundError: [Errno 2] No such file or directory: '/etc/PolicyKit'

  During handling of the above exception, another exception occurred:

  Traceback (most recent call last):
    File "/usr/share/hplip/base/utils.py", line 268, in walkFiles
      raise StopIteration
  StopIteration

  The above exception was the direct cause of the following exception:

  Traceback (most recent call last):
    File "/usr/bin/hp-check", line 861, in <module>
      dep.core.init()
    File "/usr/share/hplip/installer/core_install.py", line 500, in init
      self.check_dependencies(callback)
    File "/usr/share/hplip/installer/core_install.py", line 593, in check_dependencies
      self.have_dependencies[d] = self.dependencies[d][3]()
    File "/usr/share/hplip/installer/core_install.py", line 1164, in check_policykit
      if check_file('PolicyKit.conf', "/etc/PolicyKit") and check_file('org.gnome.PolicyKit.AuthorizationManager.service', "/usr/share/dbus-1/services"):
    File "/usr/share/hplip/installer/dcheck.py", line 108, in check_file
      for w in utils.walkFiles(dir, recurse=True, abs_paths=True, return_folders=False, pattern=f):
  RuntimeError: generator raised StopIteration

4. A detailed explanation of your problem.
  Printer is not recognized at all. After removing the printer, it cannot be found anymore.

5. Steps to recreate the problem.
  ...

Question information

Language:
English Edit question
Status:
Answered
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Last query:
2018-10-20
Last reply:
2018-10-23
srinivas (srinivas5) said : #1

Hi,
The hp-check command output was not completely generated for analysis. Can you try installing the latest driver version (3.18.9) and update if the issue still persists? If the issue still exists, send us the output of hp-check -t command.

Can you help with this problem?

Provide an answer of your own, or ask Jared Dalton for more information if necessary.

To post a message you must log in.